#### dispatch (3 of 3 overloads)

Submits a completion token or function object for execution.

    template<
        typename ExecutionContext,
        typename NullaryToken = DEFAULT>
    DEDUCED dispatch(
        ExecutionContext & ctx,
        NullaryToken && token = DEFAULT,
        typename constraint< is_convertible< ExecutionContext &, execution_context & >::value >::type  = 0);

###### Parameters

ctx

  An execution context, from which the target executor is obtained.

token

  The completion token that will be used to produce a completion handler. The function signature of the completion handler must be:

      void handler();

###### Return Value

`dispatch(ctx.get_executor(), forward<NullaryToken>(token))`.

###### Completion Signature

    void()